osmo-gsm-manuals-dev (1.7.0.6.96fe) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom master feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 14 Mar 2026 14:05:17 +0000

osmo-gsm-manuals-dev (1.7.0) unstable; urgency=medium

  [ Harald Welte ]
  * bibliography: Add ETS TS 102 671 (MFF2)
  * fix various typos (thanks Denis)

  [ Oliver Smith ]
  * Add separate asciidoc style file without draft
  * GSUP: PDP Context ID: start at 1
  * GSUP: add missing Current RAT Type IE

  [ Andreas Eversberg ]
  * Corrected description of MSISDN IE and IMEI IE coding

  [ Pau Espin Pedrol ]
  * sigtran.adoc: small fixes and improvements
  * sigtran-osmocom.adoc: Improve route section

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 03 Dec 2025 16:07:46 +0100

osmo-gsm-manuals-dev (1.6.1) unstable; urgency=medium

  [ Mychaela N. Falconia ]
  * bibliography.adoc: add TW-TS-* references

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 09:27:42 +0100

osmo-gsm-manuals-dev (1.6.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * sigtran: Document SCTP INIT VTY parameters
  * Update spec reference s/TS 04.08/TS 24.008/
  * gsup.adoc: Update spec reference s/TS 09.60/TS 29.060/
  * gsup: Convert PDP-Type IE to PDP-Address IE
  * gsup.adoc: Fix typo
  * gsup.adoc: Fix Authentication Info message naming in table
  * gsup.adoc: Add links to section of each message type in table
  * gsup.adoc: Add conditional 'PDP Info' IE to Auth Info Req
  * gsup: Introduce a new PCO IE
  * gsup: Document ePDG Tunnel Req/Res/Err

  [ Oliver Smith ]
  * build/Makefile.asciidoc: fix GIT_DATE
  * Cosmetic: build/Makefile.asciidoc: remove comments

  [ Neels Hofmeyr ]
  * add static SS7 routing example to cs7-config.adoc

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 24 Jul 2024 10:32:07 +0200

osmo-gsm-manuals-dev (1.5.0) unstable; urgency=medium

  [ Max ]
  * SIGTRAN: fix typo

  [ Oliver Smith ]
  * editorconfig: new file
  * Change upload path to project/master/
  * build/Makefile.common.inc: unset OSMO_REPOSITORY
  * build/{diag,mscgen}-filter.conf: png -> svg
  * build/graphviz-filter.conf: add config for svgs
  * Cosmetic: build/Makefile.common.inc: add comments
  * build/Makefile.common: move clean/distclean down
  * build/Makefile.common: shrink pdfs before publish
  * build/Makefile.common: full path for shrink script
  * debian: set compat level to 10
  * VTY references: set git version and date
  * build/Makefile.docbook: fix INC_DIR for openbsc
  * build/Makefile.asciidoc: print less clutter
  * build: replace inkscape with rsvg-convert

  [ Vilius Panevėžys ]
  * Fix mistypes

  [ Harald Welte ]
  * chapters/*: Fix typos
  * chapters/mncc: Update the wording to be less confusing and more up-to-date
  * chapters/cell-broadcast: Bring up-to-date with reality
  * chapters/logging: Expand documentation on GSMTAP logging
  * chapters/preface: Thank NLnet and WaveMobile
  * common/chapters: http -> https
  * preface: indicate where to ask for commercial support
  * chapters/spectrum: Extend disclaimer to Osmocom authors

  [ Pau Espin Pedrol ]
  * sigtran: Update supported xUA Traffic modes
  * Write explicit role & sctp-role fields in ASP configurations
  * mgwpool: Document keepalive feature
  * sigtran: Document SCTP (peer) primary address configuration

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 12:24:03 +0200

osmo-gsm-manuals-dev (1.4.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * port_number.adoc: Add default osmux port
  * osmux: Use local/remote CID terminology
  * Document osmux use in Abis interface
  * osmux: Improve NAT related documentation
  * Copy mgwpool.adoc from osmo-bsc.git
  * mgwpool.adoc: Fix typo
  * mgwpool.adoc: Use {program-name} instead of BSC

  [ Vadim Yanitskiy ]
  * TRXD: further clarify meaning of Training / Synch. Sequence Code

  [ Harald Welte ]
  * port_numbers.adoc: Allocate VTY port number for osmo-isdntap
  * add a documentation snippet for systemd services
  * doc: Add a general chapter on installation of the Osmocom software
  * gfdl.adoc: Fix cross-reference typo
  * merge gb-ns2 "chapters" in one

  [ Max ]
  * rate counter: add StatsD note

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 11:43:11 +0100

osmo-gsm-manuals-dev (1.3.0) unstable; urgency=medium

  [ Philipp Maier ]
  * counters-overview: add documentation about socket statistics

  [ Alexander Couzens ]
  * common: gb-ns2: remove empty VTY chapter
  * common: gb-ns2: update ip-sns configuration example
  * common: gb-ns2: correct ip.access static configuration
  * common: gb-ns2: fix typo in configures
  * common: gb-ns2: add chapter Gb/NS maintenance

  [ Harald Welte ]
  * Add CBSP port number to default list of ports
  * bibliography: Add reference to TS 48.049 (CBSP)
  * glossary: add CBSP, CBC, CBS
  * port_numbers: Add missing records for osmo-upf, pfcp-tool, hnodeb

  [ Pau Espin Pedrol ]
  * sigtran: Remove old comment about non-implemented stuff
  * sigtran: Use caps in section header

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 28 Jun 2022 17:27:15 +0200

osmo-gsm-manuals-dev (1.2.0) unstable; urgency=medium

  [ Harald Welte ]
  * add README.md to describe what this repo is about
  * build: Switch from rita -> ftp.osmocom.org
  * bibliography: Re-introduce RFC768 (UDP)
  * Add new common chapter about QoS, IP DSCP and IEEE 802.1q PCP
  * glossary: fix various typos I introduced.

  [ Vadim Yanitskiy ]
  * fix tests/Makefile.am: exclude file 'mgcp_extension_osmux.adoc'
  * fix missing and/or non-existent linked references
  * TRXD: clarify modulation specific length of Soft-/Hard-bits
  * TRXD: rework description of the NOPE / IDLE frame indication
  * TRXD: generalize description of the 'RFU' ('PAD') field
  * TRXD: add documentation for TRXDv2 protocol
  * TRXDv2: add primary/shadow classification for VAMOS PDUs
  * mncc: do not mention deprecated -m / --mncc-sock options

  [ Alexander Couzens ]
  * common/chapters: extend gb/ns2 chapters

  [ Neels Hofmeyr ]
  * bib: add reference to 3GPP TS 45.002, for Training Sequence definitions

  [ Oliver Smith ]
  * port_numbers: add osmo-pcap-client, -server
  * d/patches/build-for-debian8.patch: remove

  [ Pau Espin Pedrol ]
  * cs7-config.adoc: Improve doc on default SS7 SCTP addresses

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 16 Nov 2021 13:18:04 +0100

osmo-gsm-manuals-dev (1.1.0) unstable; urgency=medium

  [ Harald Welte ]
  * bibliography: Add more user manuals
  * bibliography: https everywhere.
  * cs7-config: Describe special meaning of M3UA routing context '0'

  [ Vadim Yanitskiy ]
  * glossary.adoc: add brief definitions of AQPSK and VAMOS
  * TRXC: use monospace formatting (the backticks) for 'SETFORMAT'
  * TRXC: add missing description of the 'SETTSC' command
  * TRXC: add proposal for multiple Training Sequences
  * TRXC: introduce VAMOS enabled channel combinations
  * TRXD: fix optional padding length: bits vs bytes
  * TRXD: cosmetic: clarify soft-/hard-bits on packet diagrams
  * TRXD: clarify the meaning of field 'PWR' in Downlink messages
  * TRXD: use different coding for AQPSK in the 'MTC' field
  * TRXD: reserve a combination for Access Bursts on PACCH
  * TRXD: rework description of the 'Training Sequence Code' field
  * TRXD: clarify description of NOPE / IDLE indications
  * TRXD: more information on PDU versioning and some highlights
  * logging: add documentation for 'systemd-journal' target

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 23 Feb 2021 12:59:20 +0100

osmo-gsm-manuals-dev (1.0.0) unstable; urgency=medium

  [ Daniel Willmann ]
  * bts: Document access control classes and acc ramping
  * bts.adoc: Add information about RACH tuning parameters

  [ Neels Hofmeyr ]
  * fix srcdir to reflect $abs_srcdir
  * fixup: ensure existence of $(abs_srcdir)
  * add common/chapters/cs7-config
  * vty reference: allow reference XML generated at build time
  * bibliography, glossary: add MSC pooling related bits

  [ Harald Welte ]
  * port_numbers: Add osmo-mgw CTRL port
  * port_numbers: Add missing mDNS port for D-GSM / osmo-hlr
  * synchronize port_numbers.adoc with wiki
  * port_numbers: Add port numbers for upcoming OsmoSMLC
  * biblio: Add 3GPP TS 31.103 (ISIM)
  * sigtran: Mention that M3UA was chosen by 3GPP
  * sigtran: Describe sctp/m3ua role, multi-homing, traffic-modes
  * cs7-config: Mention OsmoSMLC
  * cs7-config: Explain that A/Iu/Lb interfaces are reouted via STP
  * cs7-config: Reference the OsmoSTP user manual for more info on SS7
  * Add common chapters on GB interface variants and SGSN pool

  [ Vadim Yanitskiy ]
  * logging: fix section 6.5.3: logging level s/all/force-all/ fatal
  * port_numbers: fix: GSMTAP has noting to do with port 2427/udp
  * GSUP: fix E-Routing-Error: both session state / ID IEs are optional
  * vty_reference.xsl: handle application specific attributes
  * vty_reference.xsl: also handle 'global' and 'library' attributes
  * chapters/vty: add IPv4/mask and IPv6/mask examples
  * chapters/vty: add documentation for the expert mode
  * chapters/vty: add in-place comments to the attribute examples
  * Makefile.docbook.inc: fix incorrect variable name in documentation
  * Makefile.vty-reference.inc: create 'generated' in this file
  * Makefile.docbook.inc: allow to re-define the include directory
  * vty_reference_combine.sh: print the final result to stdout
  * Makefile.docbook.inc: generate *.pdf in the given directory
  * Makefile.common.inc: make 'publish' target use $(UPLOAD_FILES)

  [ Pau Espin Pedrol ]
  * trx_if: Clarify {SET;ADJ}POWER TRXC commands
  * trx_if.adoc: Document cmd NOMTXPOWER
  * Drop common/chapters/{bts,bsc}.adoc
  * chapters: Introduce vty_cpu_sched.adoc chapter
  * trx_if.adoc: Document RFMUTE TRXC command

  [ Philipp Maier ]
  * vty: explain how command attributes are used

 -- Harald Welte <laforge@osmocom.org>  Wed, 06 Jan 2021 17:21:50 +0100

osmo-gsm-manuals-dev (0.3.0) unstable; urgency=medium

  [ Oliver Smith ]
  * tests/Makefile.am: always put glossary at the end
  * Cosmetic: fix Makefile.vty.reference.inc example
  * Support multiple VTY reference manuals
  * tests: add second VTY reference
  * Drop python2 and pychart dependencies
  * debian/check-depends.sh: add inkscape to depends

  [ Pau Espin Pedrol ]
  * sigtran-osmocom.adoc: Fix typos
  * Fix python-nwdiag dependency on new debian distros
  * trx_if.adoc: Fix typo and formatting of bullet list

  [ Martin Hauke ]
  * Fix some typos

  [ Harald Welte ]
  * typo / stylistic fixes by Tom Tessier
  * missing glossary items; mostly MSC/3G related
  * some more missing items from glossary.
  * gsup: Fix description of Purge MS procedure
  * Add GPRS

  [ Neels Hofmeyr ]
  * D-GSM biblio entries

  [ Vadim Yanitskiy ]
  * chapters/gsup.adoc: further documentation for SM-RP-DA/OA IE coding
  * chapters/gsup.adoc: fix message definitions containing gsup-ie-pdpinfo

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Fri, 03 Jan 2020 13:00:12 +0100

osmo-gsm-manuals-dev (0.2.0) unstable; urgency=medium

  [ Oliver Smith ]
  * contrib/jenkins.sh: run "make maintainer-clean"
  * tests: pick up subdirs inside common/chapters
  * Makefile.asciidoc.inc: always run verbose asciidoc
  * Makefile.asciidoc.inc: warnings check not default

  [ Pau Espin Pedrol ]
  * Makefile.asciidoc.inc: Export commondir attribute to asciidoc files
  * common: Introduce Osmux documentation
  * common: trx_if.adoc: Improve documentation
  * common: trx_if.adoc: Add documentation about TRXDv1 and SETFORMAT

  [ Daniel Willmann ]
  * counters-overview: Add a section about the stats reporter

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 08 Aug 2019 12:07:24 +0200

osmo-gsm-manuals-dev (0.1.1) unstable; urgency=medium

  [ Daniel Willmann ]
  * Add a chapter to explain our different counters
  * Change VTY samples from OsmoNITB to OsmoMSC

  [ Oliver Smith ]
  * debian: add patch for debian 8
  * debian: fix empty debian package
  * GSUP: document inter-MSC handover additions
  * debian: more explicit dependencies for debian 8
  * Makefile.am: include osmo-release.mk

  [ Harald Welte ]
  * port_numbers: Add VTY + CTRL port of upcoming OsmoCBC

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 29 May 2019 10:13:44 +0200

osmo-gsm-manuals-dev (0.1.0) unstable; urgency=medium

  * Proper release number, which will also get tagged.

 -- Oliver Smith <osmith@sysmocom.de>  Mon, 15 Apr 2019 09:39:51 +0200

osmo-gsm-manuals-dev (0.0.0) unstable; urgency=medium

  * Initial Release.

 -- Oliver Smith <osmith@sysmocom.de>  Tue, 09 Apr 2019 13:19:25 +0200
